{
  pkgs,
  inputs,
  ...
}: {
  imports = [
    ./users/amadaluzia
    ./hardware.nix
    ./disks.nix
    ./theme.nix
    ./apps.nix
    ./fonts.nix
    ./forgejo.nix
    ./jellyfin.nix
  ];

  config = {
    boot = {
      initrd.systemd.additionalUpstreamUnits = ["systemd-boot.service"];
      loader = {
        systemd-boot.enable = true;
        efi.canTouchEfiVariables = true;
      };
    };

    nixpkgs.overlays = [
      inputs.alqages.overlays.default
    ];

    console = {
      font = "Lat2-Terminus16";
      keyMap = "us";
    };

    services = {
      xserver.xkb = {
        layout = "us";
        options = "eurosign:e,ctrl:nocaps";
      };

      displayManager.sddm = {
        enable = true;
        wayland.enable = true;
      };

      udev.packages = [
        pkgs.android-udev-rules
      ];

      libinput.enable = true;
      openssh.enable = true;
    };

    hardware.graphics = {
      enable = true;
      enable32Bit = false;
    };

    networking.networkmanager.enable = true;
    time.timeZone = "Europe/London";
    i18n.defaultLocale = "de_DE.UTF-8";
    system.stateVersion = "24.11";
  };
}
